---

htpasswd_credentials:
  # - path: /etc/nginx/.prom_htpasswd
  #   users:
  #     - username: prometheus
  #       password: "{{ vault__htpasswd.prometheus }}"
  - path: /etc/nginx/htpasswd.d/registry_htpasswd
    mode: "u=r,g=r,o=r"
    # group: registry-ui
    users:
      - username: admin
        password: "{{ vault__htpasswd.registry.admin }}"
      - username: bodsch
        password: "{{ vault__htpasswd.registry.bodsch }}"
      - username: automatic
        password: "{{ vault__htpasswd.registry.ansible }}"
      - username: jenkins
        password: "{{ vault__htpasswd.registry.jenkins }}"

  - path: /etc/nginx/htpasswd.d/licenses_htpasswd
    mode: "u=r,g=r,o=r"
    # group: coremedia-licenses
    users:
      - username: bodsch
        password: "{{ vault__htpasswd.licenses.bodsch }}"
      - username: automatic
        password: "{{ vault__htpasswd.licenses.ansible }}"
      - username: jenkins
        password: "{{ vault__htpasswd.licenses.jenkins }}"

...
